process BUILD_MATRIX_COOL_ALT {
    tag "$meta1.id"
    label 'process_single'

    conda "conda-forge::python=3.9 conda-forge::biopython=1.80 conda-forge::numpy=1.22.3 conda-forge::matplotlib=3.6.3 conda-forge::pandas=1.5.3"
    container = "lbmc/hicstuff:3.1.3"

    input:
    tuple val(meta), path(chromosome_size)
    tuple val(meta1), path(idx_pairs)


    output:
    tuple val(meta), path("${meta1.id}_*.cool"), emit: matrix

    script:

    def args = task.ext.args ?: ''
    def bin = task.ext.bin.toInteger() ?: ''
    def outname = task.ext.outname ?: ''
    def base = outname.replaceFirst(/.txt/,"")

    """
    cooler cload pairs ${args} ${chromosome_size}:${bin} ${idx_pairs} ${base}.cool

    mv ${base}.cool ${meta1.id}_${base}_${bin}_alt.cool
    """
}
