process DISTANCE_LAW {
    tag "$meta1.id"
    label 'process_high'

    conda "conda-forge::python=3.9 conda-forge::biopython=1.80 conda-forge::numpy=1.22.3 conda-forge::matplotlib=3.6.3 conda-forge::pandas=1.5.3"
    container = "lbmc/hicstuff:3.1.3"

    input:
    tuple val(meta1), path(idx_pairs)
    tuple val(meta), path(fragments_list)

    output:
    path("*distance_law.txt")
    path("*.pdf"), optional: true

    script:

    def args = task.ext.args ?: ''

    """
    hicstuff_distance_law.py -i ${idx_pairs} -f ${fragments_list} -p ${meta1.id} ${args}
    """
}
